apiVersion: v1
kind: Secret
metadata:
  name: {{ thanos_name }}-store
  namespace: {{ namespace }}
stringData:
  thanos.yaml: |
    type: S3
    config:
      bucket: "{{ thanos_s3_bucket }}"
{% if thanos_s3_flavor == 'minio' %}
      access_key: "{{ s3_secret.resources[0].data['access-key'] | b64decode }}"
      endpoint: "{{ minio_api_address | urlsplit('hostname') }}:{{ minio_api_address | urlsplit('port') }}"
      insecure: true
      region: "{{ (s3_secret.resources[0].data['region'] | b64decode) if (s3_secret.resources[0].data['region'] is defined) else minio_region_name | default('us-east-1') }}"
      secret_key: "{{ s3_secret.resources[0].data['secret-key'] | b64decode }}"
      signature_version2: true
{% elif thanos_s3_flavor in [ 'ceph', 'rados', 'radosgw' ] %}
      access_key: "{{ thanos_s3_access_key }}"
      endpoint: "{{ radosgw_api_address | urlsplit('hostname') }}:{{ radosgw_api_address | urlsplit('port') }}"
      insecure: true
      region: "{{ thanos_s3_region | default('us-east-1') }}"
      secret_key: "{{ thanos_s3_secret_key }}"
      signature_version2: true
{% else %}
      access_key: "{{ thanos_s3_access_key }}"
      endpoint: "{{ (thanos_s3_endpoint | default('https://s3.amazonaws.com:443')) | urlsplit('hostname') }}:{{ (thanos_s3_endpoint | default('abc:443')) | urlsplit('port') | default(443) }}"
      insecure: false
      region: "{{ thanos_s3_region | default('us-east-1') }}"
      secret_key: "{{ thanos_s3_secret_key }}"
      signature_version2: false
{% if thanos_s3_sse_type | default(False) %}
      sse_config:
        type: "{{ thanos_s3_sse_type }}"
{% if thanos_s3_sse_type == "SSE-KMS" %}
        kms_key_id: "{{ thanos_s3_sse_keyid | default('changeme') }}"
{% endif %}
{% if thanos_s3_sse_type == "SSE-KMS" %}
        encryption_key: "{{ thanos_s3_sse_encryptionkey | default('changeme') }}"
{% endif %}
{% endif %}
{% endif %}
      http_config:
        idle_conn_timeout: 1m30s
        insecure_skip_verify: false
        response_header_timeout: 2m
      part_size: 134217728
      put_user_metadata: {}
      trace:
{% if do_debugs %}
        enable: true
{% else %}
        enable: false
{% endif %}
